# Update a top-up Updates the metadata of a top-up. Other top-up details are not editable by design. ## Returns The newly updated top-up object if the call succeeded. Otherwise, this call raises [an error](https://docs.stripe.com/api/topups/update.md#errors). ## Parameters - `description` (string, optional) An arbitrary string attached to the object. Often useful for displaying to users. - `metadata` (object, optional) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`. ```curl curl https://api.stripe.com/v1/topups/tu_1NG6yj2eZvKYlo2C1FOBiHya \ -u "<>" \ -d "metadata[order_id]=6735" ``` ### Response ```json { "id": "tu_1NG6yj2eZvKYlo2C1FOBiHya", "object": "topup", "amount": 2000, "balance_transaction": null, "created": 123456789, "currency": "usd", "description": "Top-up for Jenny Rosen", "expected_availability_date": 123456789, "failure_code": null, "failure_message": null, "livemode": false, "source": null, "statement_descriptor": "Top-up", "status": "pending", "transfer_group": null, "metadata": { "order_id": "6735" } } ```